package client.gui.container;

import common.block.tech.BlockWorkbench;
import common.inventory.ContainerWorkbench;
import common.inventory.InventoryPlayer;
import common.util.BlockPos;
import common.world.World;

public class GuiCrafting extends GuiContainer {
	private final BlockWorkbench type;

	public GuiCrafting(InventoryPlayer inv, World world, BlockWorkbench type) {
		super(new ContainerWorkbench(inv, world, BlockPos.ORIGIN, type));
		this.type = type;
		this.ySize = 112 + 18 * this.type.getSize();
	}

	public void addElements() {
		this.label("Handwerk (" + this.type.getDisplay() + ")", 26, 6);
		this.label("Inventar", 8, this.ySize - 96 + 2);
	}
}
